org.apache.uima.resource

## Interface JMSMessagingSpecifier

- All Superinterfaces:
    Cloneable, MessagingSpecifier, MetaDataObject, ResourceServiceSpecifier, ResourceSpecifier, Serializable, XMLizable

      public interface JMSMessagingSpecifier
      extends MessagingSpecifier

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `defaultInitialContextFactory`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHostInitialContextFactory()` Returns the hostInitialContextFactory.
    `String` | `getHostProviderURL()` Returns the hostProviderURL.
    `String` | `getTargetInitialContextFactory()` Returns the targetInitialContextFactory.
    `String` | `getTargetProviderURL()` Returns the targetProviderURL.
    `void` | `setHostInitialContextFactory(String hostInitialContextFactory)` Sets the hostInitialContextFactory.
    `void` | `setHostProviderURL(String hostProviderURL)` Sets the hostProviderURL.
    `void` | `setTargetInitialContextFactory(String targetInitialContextFactory)` Sets the targetInitialContextFactory.
    `void` | `setTargetProviderURL(String targetProviderURL)` Sets the targetProviderURL.

    - ### Methods inherited from interface org.apache.uima.resource.MessagingSpecifier

      `getHostAddress, getHostMessagingServer, getHostPassword, getHostUser, getMessagingType, getTargetAddress, getTargetMessagingServer, getTargetPassword, getTargetUser, getTimeout, setHostAddress, setHostMessagingServer, setHostPassword, setHostUser, setMessagingType, setTargetAddress, setTargetMessagingServer, setTargetPassword, setTargetUser, setTimeout`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Field Detail

    - #### defaultInitialContextFactory

          static final String defaultInitialContextFactory

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getHostInitialContextFactory

          String getHostInitialContextFactory()

      Returns the hostInitialContextFactory.
      Returns:
        String

    - #### getHostProviderURL

          String getHostProviderURL()

      Returns the hostProviderURL.
      Returns:
        String

    - #### getTargetInitialContextFactory

          String getTargetInitialContextFactory()

      Returns the targetInitialContextFactory.
      Returns:
        String

    - #### getTargetProviderURL

          String getTargetProviderURL()

      Returns the targetProviderURL.
      Returns:
        String

    - #### setHostInitialContextFactory

          void setHostInitialContextFactory(String hostInitialContextFactory)

      Sets the hostInitialContextFactory.
      Parameters:
        `hostInitialContextFactory` - The hostInitialContextFactory to set

    - #### setHostProviderURL

          void setHostProviderURL(String hostProviderURL)

      Sets the hostProviderURL.
      Parameters:
        `hostProviderURL` - The hostProviderURL to set

    - #### setTargetInitialContextFactory

          void setTargetInitialContextFactory(String targetInitialContextFactory)

      Sets the targetInitialContextFactory.
      Parameters:
        `targetInitialContextFactory` - The targetInitialContextFactory to set

    - #### setTargetProviderURL

          void setTargetProviderURL(String targetProviderURL)

      Sets the targetProviderURL.
      Parameters:
        `targetProviderURL` - The targetProviderURL to set

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.